Storage Explorer

With Storage Explorer, you can view and manage the Fibre Channel and iSCSI fabrics that are available in your storage area network (SAN).

A fabric is a network topology where devices are connected to each other through one or more high-efficiency data paths. In the case of a Fibre Channel fabric, the network includes one or more Fibre Channel switches that allow servers and storage devices to connect to each other through virtual point-to-point connections. For iSCSI fabrics, the network includes one or more Internet Storage Name Service (iSNS) servers that provide discoverability and partitioning of resources.

Storage Explorer can display detailed information about servers connected to the SAN, as well as components in the fabrics such as host bus adapters (HBAs), Fibre Channel switches, and iSCSI initiators and targets.

You can also perform many administrative tasks on an iSCSI fabric—for example, you can log on to iSCSI targets, configure iSCSI security, add iSCSI target portals, add iSNS servers, and manage Discovery Domains and Discovery Domain Sets.

  • Managing Servers

  • Managing Fibre Channel Fabrics

  • Managing iSCSI Fabrics

  • Connecting to a Remote Computer

  • Troubleshooting Storage Explorer


Managing Servers

In the Servers node of the Storage Explorer console tree, you can view detailed information about each host bus adapter (HBA) in the servers that are connected to the Fibre Channel fabric. You can also perform many administrative tasks on the iSCSI initiators and targets available in the iSCSI fabric.

Note

Storage Explorer can only list and manage resources on servers that are part of a domain and have a valid fully qualified domain name (FQDN).

Important

To view and manage servers in your storage area network (SAN), you must enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your Fibre Channel or iSCSI fabric. Enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkId=94683.

This section includes the following topics:

  • Display Detailed Host Bus Adapter (HBA) Information

  • Configure iSCSI Initiators

  • Log on to iSCSI Targets

  • iSCSI Security

  • Support for Multipathing


Display Detailed Host Bus Adapter (HBA) Information

You can use Storage Explorer to see detailed information about the Fibre Channel host bus adapters (HBAs) on your server, or on other servers in your storage area network (SAN).

The information that is displayed includes:

  • The name of the server where the HBA is installed

  • The HBA port World Wide Name (WWN)

  • The HBA node WWN

  • The firmware version

  • The fabric name

  • The manufacturer of the HBA

  • The serial number of the HBA

  • The hardware, driver, and read-only memory (ROM) versions

  • The product and vendor identification codes

  • HBA port statistics—such as frames and words transmitted and received, synchronization and signal loss counts, and link failures count

  • The zones the HBA belongs to

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To display detailed HBA information

  1. In Servers, click the HBA that you want to display information for.

  2. The results pane will display some of the HBA information. To see more detailed information, in the Actions pane, click Properties.

Additional considerations

  • The information that is visible using Storage Explorer depends on the hardware manufacturer of the HBA. Storage Explorer may not be able to display all the information for some HBAs.

Additional references

  • Managing Servers

  • Storage Explorer


Configure iSCSI Initiators

With Storage Explorer, you can configure the iSCSI initiators used by servers in your storage area network (SAN).

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Servers that require access to the storage resources on an iSCSI device have to connect to the iSCSI target that those storage resources have been assigned to. To connect to a target, a server in the SAN uses an iSCSI initiator.

An iSCSI initiator is a logical entity, such as a program or service, that enables the server to communicate with the target. The iSCSI initiator first logs on to the target and requests to start a session. The target must authorize the session and the session must be established before the server can access the storage resources.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure an iSCSI initiator

  1. In Servers, click the iSCSI initiator that you want to configure.

  2. To change the symbolic name of the initiator:

    1. In the Actions pane, click Rename.

    2. Type a new symbolic name for the initiator and click OK.

      Note

      Changing the symbolic name of an iSCSI initiator can affect access to iSCSI targets. After changing the name, you might need to reconfigure the targets accessed by the initiator, so that they can recognize the new name.

  3. To set a new Challenge Handshake Authentication Protocol (CHAP) secret to use when connecting to a target:

    1. In the Actions pane, click Set CHAP Secret.

    2. Type the new CHAP secret and click OK.

      Note

      The targets that will be accessed by the initiator must also be configured with the new secret—otherwise, the initiator will not be able to log on to the targets.

  4. To reset the CHAP secret, in the Actions pane, click Reset CHAP Secret.

  5. To add an Internet Storage Name Service (iSNS) server for target discovery, in the Actions pane, click Add iSNS Server. For more information, see Add an iSNS Server to the Fabric.

  6. To add a target portal:

    1. In the Actions pane, click Add Target Portal.

    2. Type the IP address of the target portal.

    3. If the target portal uses a socket number different than the default (3260), type the socket number.

    4. To choose the connection settings, click Connection. Configure the connection parameters that you want to use, configure the CHAP parameters that are required to connect to the target portal, and click OK. For more information about CHAP, see iSCSI Security.

    5. To choose the Internet Protocol security (IPsec) settings, click IPSec. Configure the IPsec parameters that are required to connect to the target portal, and click OK. For more information about IPsec, see iSCSI Security.

    6. To add the new target portal, click OK.

Additional considerations

  • The most secure CHAP secrets are not words or phrases, but a random sequence of characters.

Additional references

  • For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

  • Managing Servers


Log on to iSCSI Targets

With Storage Explorer, you can log on to targets in your storage area network (SAN) and choose the connection settings for each session.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Targets are created to manage the connections between an iSCSI device and the servers that need to access it. A target defines the portals (IP addresses) that can be used to connect to the iSCSI device, as well as the security settings (if any) that the iSCSI device requires to authenticate the servers that are requesting access to its resources.

Servers that require access to the storage resources on an iSCSI device have to connect to the target that those storage resources have been assigned to. To connect to a target, a server in the SAN uses an iSCSI initiator. An iSCSI initiator is a logical entity that enables the server to communicate with the target. The iSCSI initiator first logs on to the target and requests to start a session. The target must authorize the session and the session must be established before the server can access the storage resources.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To log on to a target

  1. In Servers, select the target that you want to log on to.

  2. In the Actions pane, click Login to target.

  3. If you want this logon session to be to automatically reestablished after each restart, select the Automatically restore this connection when the system boots check box.

  4. If you will be enabling several paths from a server to this target (multipathing), select the Enable multiple-path check box.

    Caution

    If two or more iSCSI initiator adapters have been enabled on a server that will access this target and the server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipathing.

  5. To choose the connection settings:

    1. Click Connection.

    2. In the Login Connection Settings dialog box, select the target portal that you want to connect to, the local adapter, and the source IP address.

    3. If you want to protect the integrity of each data packet sent over the network, select the Data Digest check box or the Header Digest check box (or both). When you select these options, commands are verified and rejected if there is an error.

    4. If you want to use Challenge Handshake Authentication Protocol (CHAP) authentication when connecting to the target, select the CHAP login information check box.

    5. Choose the necessary CHAP parameters and click OK. For more information about CHAP, see iSCSI Security.

      Important

      If you select to use RADIUS authentication, you must configure the iSCSI initiators and targets in your SAN to use this type of iSCSI security. This configuration is not done in Storage Explorer—it is done in the configuration tools for initiators and targets, such as iSCSI Initiator in Control Panel.

  6. To choose the Internet Protocol security (IPsec) settings:

    1. Click IPSec.

    2. In the IPSec dialog box, select the Enable the IPSec settings check box.

    3. Choose the IPsec parameters that you want to use and click OK. For more information about IPsec, see iSCSI Security.

  7. To log on to the target using the connection settings and IPsec settings you have selected, click OK.

Additional considerations

  • If you are not able to log on to a target, verify that the iSCSI initiator on your server is properly configured, and that you are choosing the correct connection and IPsec settings. The settings you choose in Storage Explorer to log on to a target must match the settings required by that target.

  • The level of security that you can set for a storage subsystem depends on the hardware manufacturer. Not all subsystems support all levels of iSCSI security. You should contact your hardware manufacturer to verify what level of security is supported.

Additional references

  • For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

  • Managing Servers


iSCSI Security

You can use Storage Explorer to configure the iSCSI security settings that initiators in your storage area network (SAN) require to connect to targets and target portals. There are several levels of security available for iSCSI, and you must choose those that the target or target portal requires.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Storage Explorer supports the following iSCSI security levels:

  • CHAP authentication

  • RADIUS authentication

  • IPsec authentication and encryption

CHAP authentication

Challenge Handshake Authentication Protocol (CHAP) is the basic level of security. CHAP is a protocol that is used to authenticate the peer of a connection and is based upon the peers sharing a secret (a security key that is similar to a password).

There are two types of CHAP authentication:

  • One-way CHAP authentication. With this level of security, only the iSCSI target authenticates the initiator. The secret is set just for the target. All initiators that want to access that target need to use the same secret to start a logon session with the target.

  • Mutual CHAP authentication. With this level of security, the iSCSI target and the initiator authenticate each other. A separate secret is set for each target and for each initiator in the SAN.

Caution

At a minimum, use one-way CHAP authentication between iSCSI initiators and targets.

RADIUS authentication

Remote Authentication Dial-In User Service (RADIUS) is a standard used for maintaining and managing user authentication and validation. Unlike CHAP, authentication with RADIUS is not performed between peers, but between a RADIUS server and a client. When a user (an iSCSI initiator) wants to access the resources in a client (an iSCSI target), the client sends a user connection request to the RADIUS server. The RADIUS server is responsible for authenticating the user and then returning all configuration information necessary for the client to deliver service to the user. Transactions between the client and the RADIUS server are also authenticated through the use of a shared secret.

To use this level of security, you must have a RADIUS server running on your network, or you must deploy one.

IPsec authentication and encryption

Internet Protocol security (IPsec) is a protocol that enforces authentication and data encryption at the IP packet layer. IPsec can be used in addition to CHAP or RADIUS authentication to provide an added level of security.

When you enable IPsec, all IP packets sent during data transfers are encrypted and authenticated. A common key is set on all IP portals, which allows all peers to authenticate each other and negotiate packet encryption. For more information, see IPsec (http://go.microsoft.com/fwlink/?linkid=93520).

Additional considerations

  • The level of security that you can set for a storage subsystem depends on the hardware manufacturer. Not all subsystems support all levels of iSCSI security. You should contact your hardware manufacturer to verify what level of security is supported.

  • The most secure CHAP secrets are not words or phrases, but a random sequence of characters.

Additional references

  • For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

  • Log on to iSCSI Targets

  • Configure iSCSI Initiators

  • Managing Servers


Support for Multipathing

Multipathing increases the availability of storage resources by providing path failover from a server or cluster to a storage subsystem.

Multipath I/O (MPIO) is a feature that provides support for multipathing. You must install MPIO on a server if the server will access a resource on a storage subsystem through multiple Fibre Channel ports or multiple iSCSI initiator adapters. To install MPIO on a computer running Windows Server 2008, follow the steps in the procedure that follows.

Caution

To prevent data loss, ensure that the server supports MPIO before you enable multiple Fibre Channel ports or iSCSI initiator adapters for storage access. If the server does not support MPIO, or if you are not sure, enable only a single Fibre Channel port or iSCSI initiator adapter on the server.

Caution

If you will be enabling access to the resources on a storage subsystem from a cluster, ensure that Failover Clustering has been properly installed on each server in the cluster, or data loss can occur. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install MPIO

  1. In the Server Manager console tree, click the Features node.

  2. In the Features pane, under Features Summary, click Add Features.

  3. In the Add Features Wizard, select the Multipath I/O check box, and click Next.

  4. Follow the steps in the Add Features Wizard.

Additional references

  • For more information about MPIO, see http://go.microsoft.com/fwlink/?LinkId=81020.


Managing Fibre Channel Fabrics

In the Fibre Channel Fabrics node of the Storage Explorer console tree, you can view detailed information about components in your Fibre Channel fabrics, such as host bus adapters (HBAs), and Fibre Channel switches. Depending on the type of Fibre Channel switches that you have in your fabric, you can also use Storage Explorer to easily access the management portals of those switches.

Note

Discovery of Fibre Channel nodes is partly achieved by querying the Fibre Channel switches in your storage area network (SAN). The Fibre Channel commands that a switch can support depend on the hardware manufacturer of the switch, the model of the switch, and the version of the firmware running on the switch. If a switch does not support the commands issued by Storage Explorer, you will not be able to see that switch, and possibly some of the servers connected to it.

Important

To view and manage your Fibre Channel fabric, you must enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your fabric. Enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

This section includes the following topic:

  • Access the Management Portals of a Fibre Channel Switch


Access the Management Portals of a Fibre Channel Switch

You can use Storage Explorer to access the management portals of a Fibre Channel switch, or you can just view information about these portals, such as IP addresses and portal protocols.

The management portals that can be viewed or accessed using Storage Explorer include:

  • Telnet portals

  • HTTP portals

  • Simple network management protocol (SNMP) portals

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To access or view the management portals of a Fibre Channel switch

  1. In Fibre Channel Fabrics, click the Fibre Channel switch whose management portals you want to connect to or view.

  2. To access a management portal on the switch, right-click the switch, and then click the management portal that you want to use.

    -Or-

    To view a list of the management portals available for the switch, in the Actions pane, click Properties.

Additional considerations

  • Telnet Client is not installed by default in Windows Server 2008. If you have not already installed it, you can do so using Server Manager (in the Features node, click Add Features).

  • The management portals that you can access or view using Storage Explorer depend on the hardware manufacturer of the Fibre Channel switch, the model of the switch, and the firmware version currently running on the switch. Storage Explorer may not be able to view or access any management portals on some Fibre Channel switches.

Additional references

  • Managing Fibre Channel Fabrics


Managing iSCSI Fabrics

In the iSCSI Fabrics node of the Storage Explorer console tree, you can view the information that is provided by each Internet Storage Name Service (iSNS) server in your iSCSI fabrics. You can also create and manage Discovery Domains and Discovery Domain Sets to better allocate iSCSI storage resources.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI and iSNS configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later, and Microsoft iSNS Server, which you can install from Server Manager. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI and iSNS configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Note

Discovery of iSCSI nodes is achieved by querying iSNS servers in your storage area network (SAN). If there are no iSNS servers in your SAN, or if the iSCSI initiators and targets have not been configured to use an iSNS server for discovery, you will not be able to see your iSCSI fabrics using Storage Explorer. For more information, see Add an iSNS Server to the Fabric.

Important

To view and manage your iSCSI fabric, you must enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your fabric. Enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

This section includes the following topics:

  • Add an iSNS Server to the Fabric

  • Create Discovery Domains and Discovery Domain Sets


Add an iSNS Server to the Fabric

A server that is running Internet Storage Name Service (iSNS) provides discovery services of iSCSI devices in a storage area network (SAN). An iSNS server enables iSNS clients (such as the Microsoft iSCSI Initiator) to register themselves and to query for other registered iSNS clients (such as iSCSI targets).

Storage Explorer uses the information provided by each iSNS server in your SAN to list all the iSCSI initiators and targets available in your SAN under the iSCSI Fabrics node.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI and iSNS configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later, and Microsoft iSNS Server, which you can install from Server Manager. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI and iSNS configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Note

Discovery of iSCSI nodes is achieved by querying iSNS servers in your SAN. If there are no iSNS servers in your SAN, or if the iSCSI initiators and targets have not been configured to use an iSNS server for discovery, you will not be able to see your iSCSI fabrics using Storage Explorer.

Important

To view and manage your iSCSI fabric, you must enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your fabric, including all iSNS servers. Enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add an iSNS server to the fabric

  1. In Servers, click the iSCSI initiator that you want to add an iSNS server to.

  2. In the Actions pane, click Add iSNS Server.

  3. Type the IP address of the iSNS server, and click OK.

  4. Right-click the Storage Explorer node (at the top of the console), and click Refresh SAN View.

Additional considerations

  • You can also use the management application of each iSCSI initiator to add the iSNS server information. For example, if you are using the Microsoft iSCSI Initiator, you can use iSCSI Initiator in Control Panel to add the iSNS server information (on the Discovery tab).

  • If you do not have any iSNS servers in your SAN, you need to install one. On a computer running Windows Server 2008, you can install Internet Storage Name Server using Server Manager (in the Features node, click Add Features). On a computer running Windows 2000 or Windows Server 2003, you can download and install Microsoft iSNS Server 3.0 from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=94670).

    After you have installed one or more iSNS servers, configure each iSCSI initiator and target in your SAN to use an iSNS server for discovery. This configuration is done in the configuration tools for initiators and targets, such as iSCSI Initiator in Control Panel.

Additional references

  • Managing iSCSI Fabrics


Create Discovery Domains and Discovery Domain Sets

With Storage Explorer, you can create and manage Discovery Domains and Discovery Domain Sets in your iSCSI fabric.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI and iSNS configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 or later, and Microsoft iSNS Server, which you can install from Server Manager. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI and iSNS configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Discovery Domains in an iSCSI fabric, like zones in a Fibre Channel fabric, enable you to partition the storage resources in your storage area network (SAN). By creating and managing Discovery Domains, you can control the iSCSI targets that each iSCSI initiator can see and log on to.

You create a Discovery Domain by grouping the initiators and targets that are reported by each Internet Storage Name Service (iSNS) server in your SAN. Discovery Domains can be further partitioned into Discovery Domain Sets. The idea is similar to Discovery Domains, except that each Discovery Domain Set corresponds to a group of Discovery Domains, and each Discovery Domain Set can be either enabled or disabled. If a Discovery Domain is not a member of an enabled Discovery Domain Set, then that Discovery Domain cannot be used for discovery.

To summarize, in order for an iSCSI target to be discovered by an iSCSI initiator, both must be members of the same Discovery Domain, and that Discovery Domain must be a member of an enabled Discovery Domain Set.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create a Discovery Domain

  1. In iSCSI Fabrics, click the iSNS server under which you want to create a Discovery Domain.

  2. In the Actions pane, click Create Discovery Domain.

  3. Type a name for the Discovery Domain, and click OK.

  4. To add an iSCSI target or initiator to the Discovery Domain:

    1. Drag and drop the target or initiator from Registered Nodes into the Discovery Domain.

      -Or-

    2. Click the Discovery Domain and in the Actions pane, click Add new Initiator or Target. Type the iSCSI name of the initiator or target, and click OK.
To create a Discovery Domain Set and add a Discovery Domain to it

  1. In iSCSI Fabrics, click the iSNS server under which you want to create a Discovery Domain.

  2. In the Actions pane, click Create Discovery Domain Set.

  3. Type a name for the Discovery Domain Set, and click OK.

  4. To add a Discovery Domain to the Discovery Domain Set, drag and drop the Discovery Domain into the Discovery Domain Set.

  5. To enable the new Discovery Domain Set, in the Actions pane, click Enable.

Additional considerations

  • To use Discovery Domains and Discovery Domain Sets, you must first add one or more iSNS servers to your iSCSI fabric. For more information, see Add an iSNS Server to the Fabric.

  • New Discovery Domain Sets are disabled by default.

  • It is possible to remove an iSCSI target from all Discovery Domains and manually configure an iSCSI initiator to access that target. This must be done outside of the context of an iSNS server and Discovery Domains, using the configuration tools for the initiator and the target, such as iSCSI Initiator in Control Panel.

Additional references

  • Managing iSCSI Fabrics


Connecting to a Remote Computer

To view and manage the Fibre Channel and iSCSI fabrics that are available to a remote computer, you can connect to the computer from Storage Explorer.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To connect to a remote computer from Storage Explorer

  1. In the console tree, right-click Storage Explorer, and then click Connect to.

  2. In the Connect To dialog box, type the name of the computer that you want to connect to.

  3. Click OK.

Additional considerations

  • You must be logged on to the local computer with a domain account that is a member of the Administrators group on the remote computer.

  • The remote computer must be running Windows Server 2008 or later, and it must be a member of the same domain as the computer you are connecting from. You cannot connect to a remote computer if both computers are members of a workgroup that is not part of the same domain.

  • The Windows Management Instrumentation (WMI) exception must be enabled on the remote computer. Enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

Additional references


Troubleshooting Storage Explorer

This topic lists some common issues that you may encounter when using Storage Explorer. For more troubleshooting information, see http://go.microsoft.com/fwlink/?LinkId=94678.

What problem are you having?

  • I am not able to see my iSCSI fabric under iSCSI Fabrics.

  • I am not able to see my Fibre Channel fabric under Fibre Channel Fabrics.

  • I cannot connect to a remote computer using Storage Explorer.
I am not able to see my iSCSI fabric under iSCSI Fabrics.
  • Cause: Possible causes include:

    • Discovery of iSCSI nodes is achieved by querying Internet Storage Name Service (iSNS) servers in your storage area network (SAN). If there are no iSNS servers in your SAN, or if the iSCSI initiators and targets have not been configured to use an iSNS server for discovery, you will not be able to see your iSCSI fabric.

    • Firewall restrictions are blocking your server from communicating with other servers in your SAN.

    • Computers in your SAN are not part of a domain. Storage Explorer can only discover computers that have a fully qualified domain name (FQDN).

  • Solution: Resolutions include:

    • If you do not have any iSNS servers in your SAN, you first need to install one. On a computer running Windows Server 2008 or later, you can install Internet Storage Name Server using Server Manager (in the Features node, click Add Features). On a computer running Windows 2000 or Windows Server 2003, you can download and install Microsoft iSNS Server 3.0 from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkID=94670).

      After you have installed one or more iSNS servers, configure each iSCSI initiator and target in your SAN to use an iSNS server for discovery. This configuration is done in the configuration tools for initiators and targets, such as iSCSI Initiator in Control Panel.

    • Enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your fabric. You can enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

    • Make sure that all computers in your SAN are part of a domain and that they have a valid FQDN.

I am not able to see my Fibre Channel fabric under Fibre Channel Fabrics.
  • Cause: Possible causes include:

    • Discovery of Fibre Channel nodes is partly achieved by querying the Fibre Channel switches in your SAN. The Fibre Channel commands that a switch can support depend on the hardware manufacturer of the switch, the model of the switch, and the version of the firmware running on the switch. If a switch does not support the commands issued by Storage Explorer, you will not be able to see that switch, and possibly some of the servers connected to it.

    • Firewall restrictions are blocking your server from communicating with other servers in your SAN.

    • Computers in your SAN are not part of a domain. Storage Explorer can only discover computers that have a fully qualified domain name (FQDN).

  • Solution: Resolutions include:

    • Contact the manufacturer of your Fibre Channel switch and verify that it is compatible with Storage Explorer.

    • Enable the Windows Management Instrumentation (WMI) exception on every server running Windows Server 2008 or later that is part of your fabric. You can enable this exception by using Windows Firewall from Control Panel. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

    • Make sure that all computers in your SAN are part of a domain and that they have a valid FQDN.

I cannot connect to a remote computer using Storage Explorer.
  • Cause: The Windows Management Instrumentation (WMI) exception on the remote computer is not enabled, or you are not logged on using a domain account that is a member of the Administrators group on the remote computer.

  • Solution: Use Windows Firewall in Control Panel to enable the Windows Management Instrumentation (WMI) exception on the remote computer. For more information, see http://go.microsoft.com/fwlink/?LinkID=94683.

    Also, ensure that the account you used to log on to the local computer is a member of the Administrators group on the remote computer. For more information, see Connecting to a Remote Computer.

Additional references